 package com.huimv.management.controller;

import java.util.Arrays;
import java.util.Map;

import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.huimv.management.entity.BreedFeedWeigheEntity;
import com.huimv.management.service.BreedFeedWeigheService;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.R;



/**
 * 
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-17 13:27:04
 */
@Api(tags = "测定站数据上传表")
@RestController
@RequestMapping("management/breedfeedweighe")
public class BreedFeedWeigheController {
    @Autowired
    private BreedFeedWeigheService breedFeedWeigheService;

    /**
     * 列表   可以做模糊查询
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = breedFeedWeigheService.queryPage(params);
        return R.ok().put("page", page);
    }

    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		BreedFeedWeigheEntity breedFeedWeighe = breedFeedWeigheService.getById(id);

        return R.ok().put("breedFeedWeighe", breedFeedWeighe);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody BreedFeedWeigheEntity breedFeedWeighe){
		breedFeedWeigheService.save(breedFeedWeighe);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody BreedFeedWeigheEntity breedFeedWeighe){
		breedFeedWeigheService.updateById(breedFeedWeighe);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		breedFeedWeigheService.removeByIds(Arrays.asList(ids));
        return R.ok();
    }
}
